- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.ListUniqueEntitiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities/list#body.aspect_1)

**Full name**: projects.locations.instances.uniqueEntities.list

Lists unique entities within a specific instance. Supports filtering by properties like suspicious status or environment, and pagination for large result sets.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/uniqueEntities`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list UniqueEntities for. Format: projects/{project}/locations/{location}/instances/{instance}/uniqueEntities |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of UniqueEntities to return. The service may return fewer than this value. If unspecified, at most 50 UniqueEntities will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `uniqueEntities.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of UniqueEntities. Supported filter fields: \* `suspicious`: Filter by the suspicious property. \* `enriched`: Filter by the enriched property. \* `internalAsset`: Filter by the internal asset property. \* `artifact`: Filter by the artifact property. \* `manuallyCreated`: Filter by the manually created property. \* `network`: Filter by the network property. \* `additionalProperties`: Filter by the additional properties. Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of UniqueEntities in the response. If not specified, UniqueEntities are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `uniqueEntityId` \* `unique_entity_type` \* `environment` \* `creationTime` \* `modificationTime` \* `suspicious` \* `enriched` \* `internalAsset` \* `artifact` \* `manuallyCreated` \* `network` example: "uniqueEntityId desc, creationTime" |

### Request body

The request body must be empty.

### Response body

Response message for uniqueEntities.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "uniqueEntities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities#UniqueEntity`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `uniqueEntities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.uniqueEntities#UniqueEntity`)`` Output only. The list of UniqueEntities. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.uniqueEntities.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).